Bug 214136 - kernel panic on boot option 'vmalloc=512M'
kernel panic on boot option 'vmalloc=512M'
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Larry Woodman
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-06 00:21 EST by kim dae sung
Modified: 2012-06-20 12:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:13:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kim dae sung 2006-11-06 00:21:03 EST
Description of problem:
when I try to append 'vmalloc=512M' (or 256M) to /etc/grup.conf I get a kernel 
panic on reboot.

following is my system spec..
- OS : Redhat Enterprise Linux AS 4 update4
- CPU : Intel(R) Xeon(TM) CPU
- Mem : 1GB
- Controller : Adaptec AIC7901 Ultra320 SCSI adapter
- HDD : SEAGATE 36 GB


kernel panic message : 
####    kernel 2.6.9-42.23.ELsmp, 2.6.9-42.ELsmp    ####
...
md: Autodetecting RAID arrarys
md: autorun ...
md: ... autorun DONE.
VFS: Cannot open root device "LABEL=/" or unknown-block (0,0)
Please append a correct "root=" boot option
Kernel panic - not syning: VFS: Unable to mount root fs on unknown-block (0,0)

####    kernel 2.6.17.13y_02 -> kernel version I make myself    ####
root (hd0,0)
   Filesystem type is ext2fs, partition type 0x83
kernel /vmlinuz-2.6.17.13y_02 ro root=LABLE=/ rhgb quiet
   [Linux-bzImage, setup=0x1C00, size=0x1b0226]
initrd /initrd-2.6.17.13y_02.img
   [Linux-initrd @ 0x37f91000, 0x5e17f bytes]

Uncompressing Linux... OK, booting the kernel.
initrd extends beyond end of memory (0x37fef17f > 0x20000000)
Kernel panic - not syncing: VFS: Unable to mount root fs on unknown-block(0,0)


Version-Release number of selected component (if applicable):
- kernel-smp-2.6.9-42.EL.i686
- kernel-smp-2.6.9-42.23.EL.i686

How reproducible:
always

Steps to Reproduce:
1. append vmalloc=512M(or 256M) to kernel boot parameters in /etc/grup.conf
2. reboot
  
Actual results:
kernel panic

Expected results:
boot normally

Additional info:
my grub version : 0.96
Comment 1 Larry Woodman 2006-11-07 10:51:09 EST
This can only work on the SMP kernel when the amount of RAM in the box is
significantly less(about 1/2) than 7/8GB - <what was specifiend in vmalloc=>. 
Please try either reducing the amount of RAM on the box to 512MB for vmalloc=256M
or to 256MB for vmalloc=512M or use the hugemem kernel where the kernel virtual
size is much larger.  Let us know how this works out.

Larry Woodman
Comment 2 Jiri Pallich 2012-06-20 12:13:55 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.